package com.ruoyi.branch.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 民主生活会对象 t_branch_democratic
 * 
 * @author ruoyi
 * @date 2023-07-20
 */
public class TBranchDemocratic extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    @Excel(name = "主键id")
    private Long democraticId;

    /** 时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date meetingTime;

    /** 地点 */
    @Excel(name = "地点")
    private String meetingVenue;

    /** 主持人 */
    @Excel(name = "主持人")
    private String host;

    /** 记录人 */
    @Excel(name = "记录人")
    private String recorder;

    /** 参加人员 */
    @Excel(name = "参加人员")
    private String participants;

    /** 主要内容 */
    @Excel(name = "主要内容")
    private String content;

    /** 发言记录 */
    @Excel(name = "发言记录")
    private String records;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    public void setDemocraticId(Long democraticId) 
    {
        this.democraticId = democraticId;
    }

    public Long getDemocraticId() 
    {
        return democraticId;
    }

    public void setMeetingTime(Date meetingTime) 
    {
        this.meetingTime = meetingTime;
    }

    public Date getMeetingTime() 
    {
        return meetingTime;
    }

    public void setMeetingVenue(String meetingVenue) 
    {
        this.meetingVenue = meetingVenue;
    }

    public String getMeetingVenue() 
    {
        return meetingVenue;
    }

    public void setHost(String host) 
    {
        this.host = host;
    }

    public String getHost() 
    {
        return host;
    }

    public void setRecorder(String recorder) 
    {
        this.recorder = recorder;
    }

    public String getRecorder() 
    {
        return recorder;
    }

    public void setParticipants(String participants) 
    {
        this.participants = participants;
    }

    public String getParticipants() 
    {
        return participants;
    }

    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }

    public void setRecords(String records) 
    {
        this.records = records;
    }

    public String getRecords() 
    {
        return records;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("democraticId", getDemocraticId())
            .append("meetingTime", getMeetingTime())
            .append("meetingVenue", getMeetingVenue())
            .append("host", getHost())
            .append("recorder", getRecorder())
            .append("participants", getParticipants())
            .append("content", getContent())
            .append("records", getRecords())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .toString();
    }
}
